View Issue Details

IDProjectCategoryView StatusLast Update
0000260ascendcompilerpublic2008-02-10 13:03
Reporterjohn 
Assigned Tojohn 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.9.6 
Summary0000260: Change 'REQUIRE' statement to use ospath file location mechanism
DescriptionIn order to standardise our file handling, we need to change the implementation of the 'REQUIRE' statement to use the code developed in the 'ospath.c' file. This is already in use for the 'IMPORT' statement and also used for location of the AscendRC file during Tcl/Tk launch.
TagsNo tags attached.

Relationships

Activities

john

2006-05-26 14:22

administrator   ~0000358

Once this is done, we will be using 'ospath' for all the ASCEND 'base/generic' file referencing (hopefully).

john

2006-06-15 09:37

administrator   ~0000369

Fixed in changeset 805.

Issue History

Date Modified Username Field Change
2006-05-16 06:54 john New Issue
2006-05-16 06:54 john Target release => 0.9.6
2006-05-26 14:22 john Note Added: 0000358
2006-05-26 14:22 john Summary Chance 'REQUIRE' statement to use ospath file location mechanism => Change 'REQUIRE' statement to use ospath file location mechanism
2006-06-15 09:37 john Status new => assigned
2006-06-15 09:37 john Assigned To => john
2006-06-15 09:37 john Status assigned => resolved
2006-06-15 09:37 john Resolution open => fixed
2006-06-15 09:37 john Note Added: 0000369
2006-06-22 07:16 john Fixed in Version => 0.9.6
2008-02-10 13:03 john Status resolved => closed